devel/p5-Getopt-Euclid - The NetBSD Packages Collection

Perl 5 module to create command-line parser from documentation

The Perl 5 module Getopt::Euclid uses your program's own documentation
to create a command-line argument parser. This ensures that your
program's documented interface and its actual interface always
agree.

Build dependencies

devel/p5-Module-Build pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 10.0aarch64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 10.0earmv6hfp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 10.0earmv6hfp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 10.0earmv7hfp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 10.0earmv7hfp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 10.0i386p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 10.0powerpcp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 10.0powerpcp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 10.0x86_64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 10.0x86_64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 8.0earmv7hfp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 8.0i386p5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 8.0i386p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 8.0powerpcp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 8.0powerpcp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 8.0powerpcp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 8.0x86_64p5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 8.0x86_64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0aarch64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0aarch64p5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0aarch64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0alphap5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0alphap5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0alphap5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0alphap5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0alphap5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0earmp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0earmp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0earmp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0earmv6hfp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0earmv6hfp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0earmv6hfp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0earmv7hfp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0earmv7hfp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0earmv7hfp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0i386p5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0i386p5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0i386p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0mips64ebp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0mips64ebp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0mips64ebp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0powerpcp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0powerpcp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0powerpcp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0sparc64p5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0sparc64p5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0sparc64p5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0sparc64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0sparc64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0sparcp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0sparcp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0sparcp5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0sparcp5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0x86_64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0x86_64p5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0x86_64p5-Getopt-Euclid-0.4.5nb7.tgz
NetBSD 9.0x86_64p5-Getopt-Euclid-0.4.5nb8.tgz
NetBSD 9.0x86_64p5-Getopt-Euclid-0.4.5nb8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.